prometheus-smokeping-prober(1)

NAME
prometheus-smokeping-prober - Smokeping prober for Prometheus

SYNOPSIS

prometheus-smokeping-prober [<flags>] [<hosts>...]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--config.file
    Optional smokeping_prober configuration yaml file.

--web.listen-address
    Address on which to expose metrics and web interface.

--web.telemetry-path
    Path under which to expose metrics.

--buckets
    A comma delimited list of buckets to use

-i, --ping.interval=1s
    Ping interval duration

--privileged
    Run in privileged ICMP mode

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]

--version
    Show application version.